## ros-indigo-segbot 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segbot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-segbot (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot (0.3.4-0trusty) trusty; urgency=high

  * segbot: update metapackage description
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_simulator packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * merge segbot_apps packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot (0.3.0-0trusty) trusty; urgency=high

  * added platform independent tag to metapackage.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * Segbot_sensors: add sensor_ranges driver for Arduino data.
  * Updated descriptions and licensing information.

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot (0.1.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot (0.1.8-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 04 Dec 2013 06:00:00 -0000

ros-indigo-segbot (0.1.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot (0.1.6-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 13 Aug 2013 05:00:00 -0000

ros-indigo-segbot (0.1.5-0trusty) trusty; urgency=high

  * cleaned up and alphabetized cmake and package description files

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot (0.1.4-0trusty) trusty; urgency=high

  * releasing 0.1.4 with properly formatted changelogs. see #10 <https://github.com/utexas-bwi/segbot/issues/10>

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot (0.1.3-0trusty) trusty; urgency=high

  * bumping metapackage version

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot (0.1.0-0trusty) trusty; urgency=high

  * catkinizing against hydro. progress towards #6 <https://github.com/utexas-bwi/segbot/issues/6>

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 28 Jun 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/segbot
Standards-Version: 3.9.2

Package: ros-indigo-segbot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-segbot-bringup, ros-indigo-segbot-description, ros-indigo-segbot-firmware, ros-indigo-segbot-gazebo, ros-indigo-segbot-gui, ros-indigo-segbot-logical-translator, ros-indigo-segbot-navigation, ros-indigo-segbot-sensors, ros-indigo-segbot-simulation-apps
Description: ROS packages for controlling Segway-based robots at the Learning Agents Research Group (LARG), AI Laboratory, Department of Computer Science, University of Texas at Austin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
